> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Giveaway Package

> Returns all giveaway links for packageId

<Note>
  **OAuth scope:** `giveaway_read`

  API keys have full access to this endpoint.
</Note>


## OpenAPI

````yaml GET /open-api/v1.0/giveaway-links/packages/{packageId}
openapi: 3.1.0
info:
  title: Fourthwall APIs
  description: Service used for management of orders, carts, and payments.
  termsOfService: https://fourthwall.com/terms-of-service
  contact:
    name: Backend team
    url: https://fourthwall.com
    email: backend@fourthwall.com
  version: unspecified
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
externalDocs:
  description: OpenAPI documentation
  url: https://docs.fourthwall.com
paths:
  /open-api/v1.0/giveaway-links/packages/{packageId}:
    get:
      tags:
        - Giveaway links
      summary: Get giveaway links
      description: Returns all giveaway links for packageId
      operationId: get-package
      parameters:
        - name: packageId
          in: path
          required: true
          schema:
            type: string
          example: 00aa4abd-5778-4199-8161-0b49b2f212e5
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.GiveawayLinksV1
        '404':
          description: 'Possible errors: `SHOP_TEAM_MEMBER_SHOP_NOT_FOUND_ERROR`'
          content:
            application/json:
              examples:
                shop-team-member-shop-not-found-error:
                  value:
                    code: SHOP_TEAM_MEMBER_SHOP_NOT_FOUND_ERROR
                    shopId: <shopid>
      security:
        - oauth:
            - giveaway_read
        - basicAuth: []
      externalDocs:
        url: >-
          https://docs.fourthwall.com/api-reference/platform/giveaway-links/get-package
components:
  schemas:
    com.fourthwall.openapi.model.GiveawayLinksV1:
      type: object
      properties:
        packageId:
          type: string
          example: gpg_EdJvIXu3SEiXe_QkPavHSA
        giveawayLinks:
          type: array
          items:
            oneOf:
              - $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.GiveawayLinksV1.GiveawayLinkV1.Available
              - $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.GiveawayLinksV1.GiveawayLinkV1.Cancelled
              - $ref: >-
                  #/components/schemas/com.fourthwall.openapi.model.GiveawayLinksV1.GiveawayLinkV1.Redeemed
      required:
        - giveawayLinks
        - packageId
      title: Giveaway Links
    com.fourthwall.openapi.model.GiveawayLinksV1.GiveawayLinkV1.Available:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.GiveawayLinksV1.GiveawayLinkV1
        - type: object
          properties:
            id:
              type: string
              example: gft_EdJvIXu3SEiXe_QkPavHSA
            link:
              type: string
              example: https://fourthwall.com/gifts/gft_EdJvIXu3SEiXe_QkPavHSA
            productId:
              type: string
              example: 00aa4abd-5778-4199-8161-0b49b2f212e5
            createdAt:
              type: string
              format: date-time
              example: '2020-08-13T09:05:36.939Z'
        - type: object
          properties:
            status:
              type: string
              const: AVAILABLE
      required:
        - createdAt
        - id
        - link
        - productId
      title: Available
    com.fourthwall.openapi.model.GiveawayLinksV1.GiveawayLinkV1.Cancelled:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.GiveawayLinksV1.GiveawayLinkV1
        - type: object
          properties:
            id:
              type: string
              example: gft_EdJvIXu3SEiXe_QkPavHSA
            link:
              type: string
              example: https://fourthwall.com/gifts/gft_EdJvIXu3SEiXe_QkPavHSA
            productId:
              type: string
              example: 00aa4abd-5778-4199-8161-0b49b2f212e5
            createdAt:
              type: string
              format: date-time
              example: '2020-08-13T09:05:36.939Z'
            cancelledAt:
              type: string
              format: date-time
              example: '2020-08-13T09:05:36.939Z'
        - type: object
          properties:
            status:
              type: string
              const: CANCELLED
      required:
        - cancelledAt
        - createdAt
        - id
        - link
        - productId
      title: Cancelled
    com.fourthwall.openapi.model.GiveawayLinksV1.GiveawayLinkV1.Redeemed:
      allOf:
        - $ref: >-
            #/components/schemas/com.fourthwall.openapi.model.GiveawayLinksV1.GiveawayLinkV1
        - type: object
          properties:
            id:
              type: string
              example: gft_EdJvIXu3SEiXe_QkPavHSA
            link:
              type: string
              example: https://fourthwall.com/gifts/gft_EdJvIXu3SEiXe_QkPavHSA
            productId:
              type: string
              example: 00aa4abd-5778-4199-8161-0b49b2f212e5
            createdAt:
              type: string
              format: date-time
              example: '2020-08-13T09:05:36.939Z'
            redeemedAt:
              type: string
              format: date-time
              example: '2020-08-13T09:05:36.939Z'
        - type: object
          properties:
            status:
              type: string
              const: REDEEMED
      required:
        - createdAt
        - id
        - link
        - productId
        - redeemedAt
      title: Redeemed
    com.fourthwall.openapi.model.GiveawayLinksV1.GiveawayLinkV1:
      discriminator:
        propertyName: status
        mapping:
          AVAILABLE:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.GiveawayLinksV1.GiveawayLinkV1.Available
          CANCELLED:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.GiveawayLinksV1.GiveawayLinkV1.Cancelled
          REDEEMED:
            $ref: >-
              #/components/schemas/com.fourthwall.openapi.model.GiveawayLinksV1.GiveawayLinkV1.Redeemed
      properties:
        status:
          type: string
      required:
        - status
      title: Giveaway Link
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://auth.staging.fourthwall.com/auth/realms/Fourthwall/protocol/openid-connect/auth
          scopes:
            donation_read: donation_read
            order_read: order_read
            order_write: order_write
            fulfillment_write: fulfillment_write
            giveaway_read: giveaway_read
            giveaway_write: giveaway_write
            memberships_read: memberships_read
            memberships_write: memberships_write
            promotions_write: promotions_write
            promotions_read: promotions_read
            offer_read: offer_read
            offer_write: offer_write
            shop_read: shop_read
            thankyou_read: thankyou_read
            thankyou_write: thankyou_write
            webhook_read: webhook_read
            webhook_write: webhook_write
            media_read: media_read
            media_write: media_write
            analytics_read: analytics_read
            samples_read: samples_read
            samples_write: samples_write
            dns_read: dns_read
            dns_write: dns_write
            settings_read: settings_read
            payout_read: payout_read
            integrations_read: integrations_read
    basicAuth:
      type: http
      scheme: basic

````